coverages:
  - name: ecmwf-precipitation
    projection: 3857
    bbox: >
      POLYGON((
      -4124387 3228137,
      3876 3228137,
      3876 5870227,
      -4124387 5870227,
      -4124387 3228137
      ))
    storage_type: filesystem
    storage_configuration:
      root_data_dir: /home/likeno/data/output/innometeo_ecmwf

    dimensions:
      - name: reference_time
        dimension_type: temporal
        extent: 2019-01-01/2030-01-01
        default: "2019-11-18T12:00:00"
      - name: time
        dimension_type: temporal
        extent: 2019-01-01/2030-01-01
        default: "2019-11-18T12:00:00"
    response_handlers:
      - 0


styles:
  - name: ecmwf-precipitation-style
    style_type: mapserver_style
    raw_value: |
      CLASS
        NAME "0.1"
        EXPRESSION ([pixel] <= 0.1)
        STYLE
          COLOR "#ffffff"
          OPACITY 0
        END
      END
      CLASS
        NAME "2"
        EXPRESSION ([pixel] <= 2 and [pixel] > 0.1)
        STYLE
          COLOR "#c6dbef"
          OPACITY 70
        END
      END
      CLASS
        NAME "5"
        EXPRESSION ([pixel] <= 5 and [pixel] > 2)
        STYLE
          COLOR "#6baed6"
          OPACITY 70
        END
      END
      CLASS
        NAME "10"
        EXPRESSION ([pixel] <= 10 and [pixel] > 5)
        STYLE
          COLOR "#e4dc90"
          OPACITY 70
        END
      END
      CLASS
        NAME "20"
        EXPRESSION ([pixel] <= 20 and [pixel] > 10)
        STYLE
          COLOR "#f4d069"
          OPACITY 70
        END
      END
      CLASS
        NAME "30"
        EXPRESSION ([pixel] <= 30 and [pixel] > 20)
        STYLE
          COLOR "#febb46"
          OPACITY 70
        END
      END
      CLASS
        NAME "40"
        EXPRESSION ([pixel] <= 40 and [pixel] > 30)
        STYLE
          COLOR "#ff9c24"
          OPACITY 70
        END
      END
      CLASS
        NAME "50"
        EXPRESSION ([pixel] <= 50 and [pixel] > 40)
        STYLE
          COLOR "#ff6e05"
          OPACITY 70
        END
      END
      CLASS
        NAME "60"
        EXPRESSION ([pixel] <= 60 and [pixel] > 50)
        STYLE
          COLOR "#ff0000"
          OPACITY 70
        END
      END
      CLASS
        NAME "90"
        EXPRESSION ([pixel] <= 90 and [pixel] > 60)
        STYLE
          COLOR "#C71585"
          OPACITY 70
        END
      END
      CLASS
        NAME "120"
        EXPRESSION ([pixel] <= 120 and [pixel] > 90)
        STYLE
          COLOR "#9400D3"
          OPACITY 70
        END
      END
      CLASS
        NAME "120"
        EXPRESSION ([pixel] > 120)
        STYLE
          COLOR "#800080"
          OPACITY 70
        END
      END


workspaces:

  - name: nwp-ecmwf
    layers:
      - coverage: 0
        style: 0
        name: nwp-ecmwf-precipitation
        layer_type: raster
